# Class CIM_SubUoW
extends CIM_Dependency

Similar to the SubUoWDef association (which describes the relationship between definitional UnitsOfWork), this association identifies the executional UnitOfWork Dependencies. It associates executing/executed UnitsOfWork with their parent Units. In most cases, the SubUoW reflects the execution side of the relationship defined in SubUoWDef. However, there may be cases where the SubUoWDef is not defined, but for a particular UnitOfWork, the SubUoW relationship is valid. Therefore, it is not a requirement (but it is desirable) that there be a corresponding SubUoWDef for each instance of SubUoW.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_SubUoW

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

Similar to the SubUoWDef association (which describes the relationship between definitional UnitsOfWork), this association identifies the executional UnitOfWork Dependencies. It associates executing/executed UnitsOfWork with their parent Units. In most cases, the SubUoW reflects the execution side of the relationship defined in SubUoWDef. However, there may be cases where the SubUoWDef is not defined, but for a particular UnitOfWork, the SubUoW relationship is valid. Therefore, it is not a requirement (but it is desirable) that there be a corresponding SubUoWDef for each instance of SubUoW.

UMLPackagePath | string | CIM::Metrics::UnitOfWork
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_SubUoW | CIM_UnitOfWork
Dependent | CIM_SubUoW | CIM_UnitOfWork

## Class Methods